Subject: Re: [1.8.0] Recursively checkout, merge and reset populated submodules

From: Miles Bader <[email-masked]>
Date: Tue, 22 Feb 2011 09:51:42 +0900

Jens Lehmann <[email-masked]> writes:
>> So, .gitmodules initially controls recursion.  When a submodule gets
>> populated, it gets an entry in .git/config which then determines the
>> recursion behavior from then on.  Changing branches might change .gitmodules,
>> but anything in .git/config will persist so any customizations the user makes
>> will also persist.
>
> Yes. Upstream can give sane defaults but the user has the last word.

If .git/config entries are created _automatically_ based on the initial
.gitmodules, doesn't that means it will cease to respect the upstream
defaults in the case where .gitmodules changes, even if the user didn't
actually change anything himself...?

-Miles

-- 
`The suburb is an obsolete and contradictory form of human settlement'